> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/api-documentation/api-guides/rewards-and-promotions/coupon.md).

# Coupon Service

Generate secure and highly performant promotional coupons.

### Key features and benefits

* Supports absolute (value) based coupons in a particular currency (such as £10 off)
* Supports relative (percentage) based coupons (such as 10% off)
* Offers free shipping coupons
* Restricts coupons to be redeemed against specific product categories
* Limits the number of times a coupon can be redeemed by one user or in total
* Restricts coupon usage by date (from/to)
* Defines a minimum order value required before a coupon can be redeemed
* Built for high-throughput and scalability
* Runs promotion campaigns
* Uses in marketing materials to drive traffic to the website
* Increases customer loyalty
* Drives sales for last season's stock or overstock items


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.emporix.io/api-documentation/api-guides/rewards-and-promotions/coupon.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
